package com.rjconsultores.ventaboletos.utilerias.impressaormd.vo;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ImpressaoRMD {

	private String empresa;
	private String enderecoEmpresa;
	private String cnpjEmpresa;
	private String ieEmpresa;
	private Date data;
	private String rmd;
	private String naturezaOperacao;
	private String tipo;
	private String serie;
	private String numero;
	private BigDecimal valorContabil;
	private BigDecimal baseCalculo;
	private BigDecimal aliquota;
	private BigDecimal isentos;
	private BigDecimal outros;
	private BigDecimal icms;
	private String obs;
	private String folio; 

	private List<DetalhadoRMD> detalhada;

	public ImpressaoRMD(String empresa, String enderecoEmpresa, String cnpjEmpresa, String ieEmpresa,
			Date data, String rmd, String naturezaOperacao, String tipo, String serie, String obs) {
		super();
		this.empresa = empresa;
		this.enderecoEmpresa = enderecoEmpresa;
		this.cnpjEmpresa = cnpjEmpresa;
		this.ieEmpresa = ieEmpresa;
		this.data = data;
		this.rmd = rmd;
		this.naturezaOperacao = naturezaOperacao;
		this.tipo = tipo;
		this.serie = serie;
		this.obs = obs;
	}
	
	public ImpressaoRMD(String empresa, String enderecoEmpresa, String cnpjEmpresa, String ieEmpresa,
			Date data, String rmd, String naturezaOperacao, String tipo, String serie, String obs, String folio) {
		super();
		this.empresa = empresa;
		this.enderecoEmpresa = enderecoEmpresa;
		this.cnpjEmpresa = cnpjEmpresa;
		this.ieEmpresa = ieEmpresa;
		this.data = data;
		this.rmd = rmd;
		this.naturezaOperacao = naturezaOperacao;
		this.tipo = tipo;
		this.serie = serie;
		this.obs = obs;
		this.folio = folio;
	}

	public String getEmpresa() {
		return empresa;
	}

	public void setEmpresa(String empresa) {
		this.empresa = empresa;
	}

	public String getEnderecoEmpresa() {
		return enderecoEmpresa;
	}

	public void setEnderecoEmpresa(String enderecoEmpresa) {
		this.enderecoEmpresa = enderecoEmpresa;
	}

	public String getCnpjEmpresa() {
		return cnpjEmpresa;
	}

	public void setCnpjEmpresa(String cnpjEmpresa) {
		this.cnpjEmpresa = cnpjEmpresa;
	}

	public String getIeEmpresa() {
		return ieEmpresa;
	}

	public void setIeEmpresa(String ieEmpresa) {
		this.ieEmpresa = ieEmpresa;
	}

	public Date getData() {
		return data;
	}

	public void setData(Date data) {
		this.data = data;
	}

	public String getRmd() {
		return rmd;
	}

	public void setRmd(String rmd) {
		this.rmd = rmd;
	}

	public String getNaturezaOperacao() {
		return naturezaOperacao;
	}

	public void setNaturezaOperacao(String naturezaOperacao) {
		this.naturezaOperacao = naturezaOperacao;
	}

	public String getTipo() {
		return tipo;
	}

	public void setTipo(String tipo) {
		this.tipo = tipo;
	}

	public String getSerie() {
		return serie;
	}

	public void setSerie(String serie) {
		this.serie = serie;
	}

	public String getNumero() {
		return numero;
	}

	public void setNumero(String numero) {
		this.numero = numero;
	}

	public BigDecimal getValorContabil() {
		return valorContabil == null ? BigDecimal.ZERO : valorContabil;
	}

	public void setValorContabil(BigDecimal valorContabil) {
		this.valorContabil = valorContabil;
	}

	public BigDecimal getBaseCalculo() {
		return baseCalculo == null ? BigDecimal.ZERO : baseCalculo;
	}

	public void setBaseCalculo(BigDecimal baseCalculo) {
		this.baseCalculo = baseCalculo;
	}

	public BigDecimal getAliquota() {
		return aliquota;
	}

	public void setAliquota(BigDecimal aliquota) {
		this.aliquota = aliquota;
	}

	public BigDecimal getIsentos() {
		return isentos;
	}

	public void setIsentos(BigDecimal isentos) {
		this.isentos = isentos;
	}

	public BigDecimal getOutros() {
		return outros;
	}

	public void setOutros(BigDecimal outros) {
		this.outros = outros;
	}

	public String getObs() {
		return obs;
	}

	public void setObs(String obs) {
		this.obs = obs;
	}

	public List<DetalhadoRMD> getDetalhada() {
		if (detalhada == null) {
			detalhada = new ArrayList<DetalhadoRMD>();
		}
		return detalhada;
	}

	public void setDetalhada(List<DetalhadoRMD> detalhada) {
		this.detalhada = detalhada;
	}

	public BigDecimal getIcms() {
		return icms;
	}

	public void setIcms(BigDecimal icms) {
		this.icms = icms;
	}

	@Override
	public String toString() {
		return "ImpressaoRMD [empresa=" + empresa + ", enderecoEmpresa=" + enderecoEmpresa + ", cnpjEmpresa=" + cnpjEmpresa + ", ieEmpresa=" + ieEmpresa + ", data=" + data + ", rmd=" + rmd + ", naturezaOperacao=" + naturezaOperacao + ", tipo=" + tipo + ", serie=" + serie + ", numero=" + numero + ", valorContabil=" + valorContabil + ", baseCalculo=" + baseCalculo + ", aliquota=" + aliquota + ", isentos=" + isentos + ", outros=" + outros + ", icms=" + icms + ", obs=" + obs + ", detalhada=" + detalhada + "]";
	}

	public String getFolio() {
		return folio;
	}

	public void setFolio(String folio) {
		this.folio = folio;
	}

}
